#!/bin/sh # # Called by git-commit with one argument, the name of the file # that has the commit message. The hook should exit with non-zero # status after issuing an appropriate message if it wants to stop the # commit. The hook is allowed to edit the commit message file. # # To enable this hook, make this file executable. # avoid [[ which is not POSIX sh. if test "$#" != 1 ; then echo "$0 requires an argument." exit 1 fi if test ! -f "$1" ; then echo "file does not exist: $1" exit 1 fi abort() { cp $1 $1.save cat >&2 <'`" ] ; then abort "$1" "The commit message looks like ChangeLog, please use the git form." fi # Check that lines do not start with '#' (possibly accidental commit, # such as starting the message with '#ifdef', git commits start with '#'. if [ -n "`grep '^#[^[:blank:]]' $1`" ] ; then abort "$1" "Possible accidental comment in the commit message (leading # without space)." fi # From Gerrit Code Review 2.16.15 # # Part of Gerrit Code Review (https://www.gerritcodereview.com/) # # Copyright (C) 2009 The Android Open Source Project # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # Do not create a change id if requested if test "false" = "`git config --bool --get gerrit.createChangeId`" ; then exit 0 fi # $RANDOM will be undefined if not using bash, so don't use set -u random=$( (whoami ; hostname ; date; cat $1 ; echo $RANDOM) | git hash-object --stdin) dest="$1.tmp.${random}" trap 'rm -f "${dest}"' EXIT if ! git stripspace --strip-comments < "$1" > "${dest}" ; then echo "cannot strip comments from $1" exit 1 fi if test ! -s "${dest}" ; then echo "file is empty: $1" exit 1 fi # Avoid the --in-place option which only appeared in Git 2.8 # Avoid the --if-exists option which only appeared in Git 2.15 if ! git -c trailer.ifexists=doNothing interpret-trailers \ --trailer "Change-Id: I${random}" < "$1" > "${dest}" ; then echo "cannot insert change-id line in $1" exit 1 fi if ! mv "${dest}" "$1" ; then echo "cannot mv ${dest} to $1" exit 1 fi #------------------ copied gerrit commit-msg hook to handle ChangeId <-- exit 0 # vi:set shiftwidth=4 expandtab: value='distro/collabora/cp-5.3-desktop'>distro/collabora/cp-5.3-desktop LibreOffice 核心代码仓库文档基金会
summaryrefslogtreecommitdiff
AgeCommit message (Collapse)Author
2024-08-25tdf#161941 add --with-docrepair-fonts optionCaolán McNamara
to enabling bundling or not bundling the docrepair fonts of https://github.com/docrepair-fonts (which provide replacments for: Agency FB, Baskerville Old Face, Berlin Sans FB, Cooper Black, Lucida Calligraphy, Lucida Grande, Lucida Handwriting) Change-Id: I4ea442fa54d21f213ccbdccba9aea1b9c0675c90 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/172337 Tested-by: Jenkins Reviewed-by: Caolán McNamara <caolan.mcnamara@collabora.com>
2024-07-05Bundle fonts of Google's DocRepair ProjectAndras Timar
See https://fonts.google.com/?query=The+DocRepair+Project DocRepair project intended to improve compliance with the ISO/IEC 29500 standard by providing fallback for proprietary fonts that minimizes text reflow in Office Open XML documents. Agency FB -> Agdasima Baskerville Old Face -> Bacasime Antique Berlin Sans FB -> Belanosima Cooper Black -> Caprasimo Lucida Calligraphy -> Lugrasimo Lucida Grande -> Lunasima Lucida Handwriting -> Lumanosimo Change-Id: I82a29bd9eeda88198290134a7906a35b6349a1b1 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/169765 Tested-by: Jenkins CollaboraOffice <jenkinscollaboraoffice@gmail.com> Reviewed-by: Caolán McNamara <caolan.mcnamara@collabora.com> Reviewed-on: https://gerrit.libreoffice.org/c/core/+/169828 Tested-by: Jenkins Reviewed-by: Andras Timar <andras.timar@collabora.com>
2023-09-26tdf#124591: Rename *noto.mk to *noto_kufi_arabic.mkKhaled Hosny
Since it is the only one left in this package. Still using the old tarball, though, since there does not exist any releases upstream (yet): https://github.com/notofonts/arabic Change-Id: I9a21fda5519bbf184af9b2e70b8cf65e3046a724 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157283 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Naskh Arabic to v2.016Khaled Hosny
from: https://github.com/notofonts/arabic/releases/tag/NotoNaskhArabic-v2.016 Change-Id: Ic5d23046afddb8d7230ed3f71363cb178f572124 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157271 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Sans Lisu to v2.102Khaled Hosny
from: https://github.com/notofonts/lisu/releases/tag/NotoSansLisu-v2.102 Change-Id: I205cf05d6f33e1083e30193d7ed775d9775af2f4 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157280 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Serif Lao to v2.003Khaled Hosny
from: https://github.com/notofonts/lao/releases/tag/NotoSerifLao-v2.003 Change-Id: I58b69f3219a7afa7a60a17167cc9d4c4f1d8397b Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157279 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Sans Lao to v2.003Khaled Hosny
from: https://github.com/notofonts/lao/releases/tag/NotoSansLao-v2.003 Change-Id: I5a857c4f335cf29473b9baeffffddcc6d810e0b4 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157278 Tested-by: خالد حسني <khaled@libreoffice.org> Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Serif Georgian to v2.003Khaled Hosny
from: https://github.com/notofonts/georgian/releases/tag/NotoSerifGeorgian-v2.003 Change-Id: I230b8eed49f024e2361e27df963424d7113e52fb Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157277 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Sans Georgian to v2.003Khaled Hosny
from: https://github.com/notofonts/georgian/releases/tag/NotoSansGeorgian-v2.003 Change-Id: I007a55194fe77d07c05c704a69c36e489ca5db46 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157276 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Serif Armenian to v2.008Khaled Hosny
from: https://github.com/notofonts/armenian/releases/tag/NotoSerifArmenian-v2.008 Change-Id: If956e731eaa484b9d48c95cab707d77d39aaeeff Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157275 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Sans Armenian to v2.008Khaled Hosny
from: https://github.com/notofonts/armenian/releases/tag/NotoSansArmenian-v2.008 Change-Id: I92bd6f05e9022b6c1f25ac460e64b12209016297 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157274 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Serif Hebrew to v2.003Khaled Hosny
from: https://github.com/notofonts/hebrew/releases/tag/NotoSerifHebrew-v2.003 Change-Id: Ibffe8d4b629ecd61c2644f4811fda68fa28d9a2f Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157273 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Sans Hebrew to v2.003Khaled Hosny
from: https://github.com/notofonts/hebrew/releases/tag/NotoSansHebrew-v2.003 Change-Id: I710c49a9dc4f7f1c7460a777e3e224aaea332009 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157272 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Sans Arabic to v2.010Khaled Hosny
from: https://github.com/notofonts/arabic/releases/tag/NotoSansArabic-v2.010 Change-Id: Icb4a2932c84884180eed7f391ecd7285311299b5 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157270 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Serif to v2.012Khaled Hosny
from: https://github.com/notofonts/latin-greek-cyrillic/releases/tag/NotoSerif-v2.012 Change-Id: I769f162c3fb7256fd6aba4e666cb91fbc3b12131 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157269 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2023-09-26tdf#124591: Update Noto Sans to v2.012Khaled Hosny
from: https://github.com/notofonts/latin-greek-cyrillic/releases/tag/NotoSans-v2.012 Change-Id: Icdd604614a97071c0ff703eb9fe2468137826489 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/157268 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@libreoffice.org>
2022-12-31tdf#136604: Remove Source Sans Pro fontsKhaled Hosny
Templates using the fonts are left unchanged. Change-Id: I5ed21155ddd5038eb91f6ad6bcbd7f27f2478638 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/143665 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@aliftype.com>
2022-12-05tdf#152376: Remove Kacst Book and Kacst Office fontsKhaled Hosny
Change-Id: I979e01ee6cab26431a6e54094c59ea28e886019a Reviewed-on: https://gerrit.libreoffice.org/c/core/+/143647 Tested-by: Jenkins Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
2022-12-05tdf#136604: Remove Source Serif Pro and Source Code Pro fontsKhaled Hosny
Kept Source Sans Pro for now because it is used in some styles and using also weights that not supported by other fonts we bundle (e.g. light). Change-Id: I2eb9c6a2951e0c39e7021a5c90ed549d03f4a4e8 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/143645 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@aliftype.com>
2022-09-27tdf#144348: Remove EmojiOne Color fontKhaled Hosny
The EmojiFont setting is now a comma-separated list of the three common color emoji fonts, it should fallback to the next font if the first is missing. Change-Id: I7aa134f914ab829704e9b707f511f166a81a0089 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/140623 Tested-by: Jenkins Reviewed-by: خالد حسني <khaled@aliftype.com>
2019-03-27Do not include KACST fonts (GPLv2) into MPL subsetAndras Timar
Change-Id: I0ed447dcbafb605f81c6b8c34fa2a1e5ec4bd9b8 Reviewed-on: https://gerrit.libreoffice.org/69777 Tested-by: Jenkins Reviewed-by: Andras Timar <andras.timar@collabora.com>
2019-03-26Do not include Culmus fonts (GPLv2) into MPL subsetAndras Timar
Change-Id: I8de0e8e91d785d51b65ce884caddcc05d86bd47d Reviewed-on: https://gerrit.libreoffice.org/69755 Tested-by: Jenkins Reviewed-by: Andras Timar <andras.timar@collabora.com>
2018-09-03tdf#79022 - Please bundle Source Serif Proheiko tietze
Source Serif added Change-Id: Ibbdbd2556852e7c4e19357d332990646aec7a43d Reviewed-on: https://gerrit.libreoffice.org/59498 Tested-by: Jenkins Reviewed-by: Heiko Tietze <tietze.heiko@gmail.com>
2017-12-21tdf#113532 Add Arabic fonts into default installationYousuf Philips
Includes these fonts * Amiri * KACSTOffice, KACSTBook * Reem Kufi * Scheherazade Change-Id: I2071c4c379b2dc88a205e2c284ae0a65cfdc76c9 Reviewed-on: https://gerrit.libreoffice.org/46624 Reviewed-by: Yousuf Philips <philipz85@hotmail.com> Tested-by: Yousuf Philips <philipz85@hotmail.com>
2017-12-16tdf#113538 Add Hebrew fonts into default installationYousuf Philips
Includes these fonts * Alef * David CLM * David Libre * Frank Ruehl CLM * Frank Ruhl Hofshi * Miriam CLM * Miriam Libre * Miriam Mono CLM * Nachlieli CLM * Rubik Change-Id: Ib16a30c1f5b8fae372b3f9fc3f6de8a3be55bc85 Reviewed-on: https://gerrit.libreoffice.org/45101 Reviewed-by: Yousuf Philips <philipz85@hotmail.com> Tested-by: Yousuf Philips <philipz85@hotmail.com> Tested-by: Jenkins <ci@libreoffice.org>
2017-12-16tdf#103080 Dont package Open Sans and PT_Serif fontsYousuf Philips
Change-Id: Iac1d572f19372465e9cc369454480d9b621bcd66 Reviewed-on: https://gerrit.libreoffice.org/45169 Tested-by: Jenkins <ci@libreoffice.org> Reviewed-by: Yousuf Philips <philipz85@hotmail.com>
2017-11-10tdf#103080 Add Noto fonts into default installationYousuf Philips
Includes the regular, italic, bold and bold italic for * Noto Sans, Noto Serif Includes the regular and bold for * Noto Kufi Arabic, Noto Naskh Arabic * Noto Sans Armenian, Noto Serif Armenian * Noto Sans Georgian, Noto Serif Georgian * Noto Sans Hebrew, Noto Serif Hebrew * Noto Sans Lao, Noto Serif Lao Includes the regular and bold for * Noto Mono * Noto Sans Lisu Change-Id: I2a423b7cac031e2e899df22ad902bd09d1da250d Reviewed-on: https://gerrit.libreoffice.org/44128 Tested-by: Jenkins <ci@libreoffice.org> Reviewed-by: Yousuf Philips <philipz85@hotmail.com>
2017-09-24Compensate for loss of Type 1 "Standard Symbols L" substitute for "Symbol"Stephan Bergmann
At least for me on Linux since LO 5.3, 'soffice sw/qa/extras/rtfexport/data/fdo72031.rtf' shows "Å" (rendered in "DejaVu Sans") instead of "⊕" (rendered in "Standard Symbols L"). That's presumably because 47ea13ef8dc8ab9aeded6121845e3ebd1d28b292 "Kill the old Unix layout engines" removed support for Type 1 fonts (see "Ignore Type 1 fonts" in FontCfgWrapper::addFontSet, vcl/unx/generic/fontmanager/fontconfig.cxx), and my (Fedora 25) /usr/share/fonts/default/Type1/s050000l.pfb "Standard Symbols L" is a Type 1 font. So we fell back to fontconfig's generic (weak) suggestion of "DejaVu Sans" as a substitute for "Symbol". So extend our fc_local.conf to suggest our "OpenSymbol" as a substitute for "Symbol". As that fc_local.conf was originally brought along by --with-fonts, which is enabled by default but can be disabled, compilation of fc_local.conf from the various snippets is moved to postprocess. macOS and Windows were never affected, as they both come with a "Symbol" font installed in the system. (And we don't install fc_local.conf on Windows at all.) Change-Id: I8d6d87f24974577fd66f5f3989f606237ebb3d75 Reviewed-on: https://gerrit.libreoffice.org/42670 Reviewed-by: Stephan Bergmann <sbergman@redhat.com> Tested-by: Stephan Bergmann <sbergman@redhat.com>
2017-06-02more_fonts: stop building that fontconfig file on WNTMichael Stahl
Change-Id: I485b725ff824f113991900c1ea110aab1b0421af